Subject: bug#55832: 28.1; Emacs crashes when using tramp from helm in emacs-29

From: Michael Albinus <[email-masked]>
Date: Tue, 14 Jun 2022 13:05:18 +0200

Thierry Volpiatto <[email-masked]> writes:

Hi Thierry,

sorry for the delay, I've been occupied by other duties last days.

>>>> (setq tramp-verbose 10 tramp-debug-to-file t)
>>>
>>> Ah nice, with those setting instead of crashing emacs hang and I can
>>> recuperate with C-g, here the tramp log:
>>>
>>> https://gist.github.com/thierryvolpiatto/96b5d3bacc92deac1fad275eede69354
>>
>> Thanks. The trace looks surprising, again and again
>>
>> 21:38:47.713417 tramp-get-remote-id (5) # Finding POSIX `id' command
>>
>> I'll try to analyze tomorrow what could have triggered this behavior. If
>> not successful, I'll ask you for instrumentation of Tramp.
>
> Thanks.

Finally,  I could reproduce the problem with the following code snippet:

--8<---------------cut here---------------start------------->8---
(progn
  (tramp-cleanup-all-connections)
  (let ((non-essential t))
    (tramp-get-remote-uid (tramp-dissect-file-name "/sudo::") 'string)))
--8<---------------cut here---------------end--------------->8---

I've pushed a fix to master, could you please check?

Best regards, Michael.